Bug 1039520

Summary: rpmbuild: Subpackage names are not sanity checked.
Product: [Fedora] Fedora Reporter: Zdeněk Pavlas <zpavlas>
Component: rpmAssignee: Panu Matilainen <pmatilai>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: bugzilla, ffesti, jzeleny, lnie, novyjindrich, packaging-team-maint, pknirsch, pmatilai
Target Milestone: ---Keywords: Upstream
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: rpm-4.11.2-1.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-01-20 13:52:39 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
A sample .spec file none

Description Zdeněk Pavlas 2013-12-09 10:37:08 UTC
Created attachment 834301 [details]
A sample .spec file

Description of problem:

The argument to the '%package' directive is not sanity checked.  A space is rejected but almost anything else is accepted, including chars as ':' or '/'.

Version-Release number of selected component (if applicable):

How reproducible:

Always

Steps to Reproduce:
1. rpmbuild -bb dummy.spec
2.
3.

Actual results:

Invalid rpm created.

Expected results:

An error.

Additional info:

Related bug: BZ 1039276

Comment 1 Panu Matilainen 2014-01-08 13:56:45 UTC
Fixed upstream now, in the sense that the same sanity check is applied to both main pkg name and sub-packages. Whether the existing sanity check is entirely sane is another topic :)

Comment 2 Panu Matilainen 2014-01-20 13:52:39 UTC
In rawhide now as of rpm >= 4.11.2

Comment 3 Fedora Update System 2014-02-13 09:02:24 UTC
rpm-4.11.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rpm-4.11.2-1.fc20

Comment 4 Fedora Update System 2014-02-13 09:44:10 UTC
rpm-4.11.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rpm-4.11.2-1.fc19

Comment 5 lnie 2014-02-14 06:53:02 UTC
rpm-4.11.2-1.fc20 works

Comment 6 Fedora Update System 2014-02-16 23:22:14 UTC
rpm-4.11.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-04-09 01:00:46 UTC
rpm-4.11.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.